MoreLikeThisHandler.MoreLikeThisHelper (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.MoreLikeThisHandler.MoreLikeThisHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler
Class MoreLikeThisHandler.MoreLikeThisHelper

    java.lang.Object
      org.apache.solr.handler.MoreLikeThisHandler.MoreLikeThisHelper

Enclosing class:
  MoreLikeThisHandler

    public static class MoreLikeThisHandler.MoreLikeThisHelper

extends Object

Helper class for MoreLikeThis that can be called from other request handlers

Constructor Summary
`MoreLikeThisHandler.MoreLikeThisHelper(SolrParams params, SolrIndexSearcher searcher)`

Method Summary
`Query` | `getBoostedMLTQuery()`
`NamedList<DocList>` | `getMoreLikeThese(DocList docs, int rows, int flags)` Deprecated.
`MoreLikeThis` | `getMoreLikeThis()`
`DocListAndSet` | `getMoreLikeThis(int id, int start, int rows, List<Query> filters, List<MoreLikeThisHandler.InterestingTerm> terms, int flags)`
`DocListAndSet` | `getMoreLikeThis(Reader reader, int start, int rows, List<Query> filters, List<MoreLikeThisHandler.InterestingTerm> terms, int flags)`
`Query` | `getRawMLTQuery()`
`Query` | `getRealMLTQuery()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoreLikeThisHandler.MoreLikeThisHelper

    public MoreLikeThisHandler.MoreLikeThisHelper(SolrParams params,
                                                  SolrIndexSearcher searcher)

Method Detail

### getRawMLTQuery

    public Query getRawMLTQuery()

### getBoostedMLTQuery

    public Query getBoostedMLTQuery()

### getRealMLTQuery

    public Query getRealMLTQuery()

### getMoreLikeThis

    public DocListAndSet getMoreLikeThis(int id,
                                         int start,
                                         int rows,
                                         List<Query> filters,
                                         List<MoreLikeThisHandler.InterestingTerm> terms,
                                         int flags)
                                  throws IOException

  Throws:
    `IOException`

### getMoreLikeThis

    public DocListAndSet getMoreLikeThis(Reader reader,
                                         int start,
                                         int rows,
                                         List<Query> filters,
                                         List<MoreLikeThisHandler.InterestingTerm> terms,
                                         int flags)
                                  throws IOException

  Throws:
    `IOException`

### getMoreLikeThese

    @Deprecated
    public NamedList<DocList> getMoreLikeThese(DocList docs,
                                                          int rows,
                                                          int flags)
                                        throws IOException

  Deprecated.

  Throws:
    `IOException`

### getMoreLikeThis

    public MoreLikeThis getMoreLikeThis()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD